	function PLOT_IMPULSE_RESPONSE_S(h, h0, t_axis)
	
	% Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	%
	%	Plots the impulse response of a causal analog filter over the 
	%	time interval given by t_axis. The lower limit of t_axis is zero.	
	%	h0 is the value of the impulse ressponse at t = 0.
	
	% Author: 			Lars Wanhammar 2006-02-27
	% Modified by: 	 	LW 2009-01-20, 2010-08-06
	% Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkping University, Sweden
	% Version:			1.1
	% Known bugs:		None
	% Report bugs to:	larsw@isy.liu.se
	
	%========================================================	
	% Standard settings
	fs = 16; 		% Font size
	lw = 2; 		% Linewidth
	fn = 'times'; 	% Font
	% PowerPoint settings
	%	fs = 18; 		% Font size
	%	lw = 2; 		% Linewidth
	%	fn = 'times'; 	% Font
	%========================================================
	
	plot(t_axis, h,'linewidth',lw);
	axis([0 t_axis(end) min(h)-0.1 max(h)+0.1]); %  This may be changed to get a neater plot
	ylabel('{\ith}({\itt})','FontName', fn,'FontSize',fs);
	xlabel('{\itt}  [s]','FontName', fn,'FontSize', fs);
	set(gca,'FontName', fn,'FontSize', fs);
	% Plot dirac function separately
	%	if (dirac0 ~= 0)
	%		line([0 0],[0 dirac0], 'linewidth', 3,'color', 'r')
	%	else
	%		if (h(1) ~= 0)
	%			line([0 0],[0 h(1)], 'linewidth', lw)
	%		end
	%	end  
	hold on
	if (h0 ~= 0)
		plot([0 0],[h0 h0],'ro-', 'linewidth', 2)
	end 
	zoom on	
	grid on
	
	
