	function Poly = POLYMULT(P1, P2, PRINT)
	%
	%	Multiplies two polynomials, similar to MATLAB conv.m
	%
	%	PRINT	= 1 PRINTING OF Poly
	%			= 0 NO PRINTING
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	%
	%	Author: 		Lars Wanhammar 1983-03-15
	%	Modified by:	LW 2007-07-12
	%	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	%	Version:		1	 
	%	Known bugs:		None
	%	Report bugs to:	larsw@isy.liu.se
	%
	if nargin < 3
		PRINT = 0;
	end
	Poly_length = length(P1)+length(P2)-1;
	Poly = zeros(1, Poly_length);
	j = 1:length(P2);
	for k = 1:length(P1)
		m = k+j-1;
		Poly(m) = Poly(m)+P1(k)*P2(j);
	end
	if (PRINT == 1)
		Poly'
	end				
