	function [Qz, rz, Qp, rp] = PZ_2_Q_RP_S(G, Z, P, W)
	%
	% Computes the Q value and pole(zero radius the poles and zeros for 
	% an analog transfer function at the frequencies specified by W.
	
	% Author: 			Lars Wanhammar, 2008-07-11
	% Modified by: 		 
	% Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	% Version: 			
	% Known bugs:		
	% Report bugs to:	larsw@isy.liu.se
	%
	
	P = cplxpair(P);
	Qp = [];
	for n = 1:length(P)
		Qp = [Qp;2*real(P)];
	end
	for n = 1:length(Z)
		Taug = Taug + Z(n)./(Z(n)^2 + W.^2); 
	end
	Taug = real(Taug);
