	function Poly = ROOTS_2_POLY(roots)
	%
	%	Converts a vector with roots to a real polynomial with
	% 	the higest power first.
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	% 	Author: 			Lars Wanhammar, 2007-00-01
	% 	Modified by: 		
	% 	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version: 			1
	% 	Known bugs:			None
	% 	Report bugs to:		larsw@isy.liu.se
	%
	
	Poly = [1];
	for j = 1:length(roots)
		Poly = POLYMULT(Poly, [1 -roots(j)]);
	end
	Poly = real(Poly);
