	function [L, C, Rs, RL, KI] = T_LADDER_2_PI(L, C, Rs, RL, KI, Ladder);
	%
	% 	Converts an equaly terminated lowpass T ladder with finite zeros into a  ladder.
	%
	% Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	%	Author: 		Lars Wanhammar 2007-09-03
	%					
	%	Modified by: 	LW 2008-12-13, 2009-03-17 
	% 	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	%	Version: 		1	
	%	Known bugs:		None
	%	Report bugs to:	larsw@isy.liu.se	

	if Ladder == 0	% Convert a T ladder into a  ladder
		Temp = L;
		L = C;
		C = Temp;
		for j = 1:length(KI)
			if KI(j) == 9
				KI(j) = 2; 
			elseif KI(j) == 2
				KI(j) = 9;
			elseif KI(j) == 10
				KI(j) = 5;
			end
		end
		RL = Rs^2/RL;
	end
